package com.xhpc.common.data.up;

//充电桩与 BMS 充电结束阶段报文
public class BmsChargingCompletedData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String soc; //结束SOC
    private String bmsBatteryMonoMinimumVoltage; //BMS单体电池最低电压V
    private String bmsBatteryMonoMaximumVoltage; //BMS单体电池最高电压V
    private String bmsBatteryMinimumTemperature; //BMS电池最低温度°
    private String bmsBatteryMaximumTemperature; //BMS电池最高温度°
    private String totalChargingTime; //累计充电时间min
    private String outputEnergy; //电桩输出能量kWh
    private String chargerSn; //电桩充电机编号

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getSoc() {

        return soc;
    }

    public void setSoc(String soc) {

        this.soc = soc;
    }

    public String getBmsBatteryMonoMinimumVoltage() {

        return bmsBatteryMonoMinimumVoltage;
    }

    public void setBmsBatteryMonoMinimumVoltage(String bmsBatteryMonoMinimumVoltage) {

        this.bmsBatteryMonoMinimumVoltage = bmsBatteryMonoMinimumVoltage;
    }

    public String getBmsBatteryMonoMaximumVoltage() {

        return bmsBatteryMonoMaximumVoltage;
    }

    public void setBmsBatteryMonoMaximumVoltage(String bmsBatteryMonoMaximumVoltage) {

        this.bmsBatteryMonoMaximumVoltage = bmsBatteryMonoMaximumVoltage;
    }

    public String getBmsBatteryMinimumTemperature() {

        return bmsBatteryMinimumTemperature;
    }

    public void setBmsBatteryMinimumTemperature(String bmsBatteryMinimumTemperature) {

        this.bmsBatteryMinimumTemperature = bmsBatteryMinimumTemperature;
    }

    public String getBmsBatteryMaximumTemperature() {

        return bmsBatteryMaximumTemperature;
    }

    public void setBmsBatteryMaximumTemperature(String bmsBatteryMaximumTemperature) {

        this.bmsBatteryMaximumTemperature = bmsBatteryMaximumTemperature;
    }

    public String getTotalChargingTime() {

        return totalChargingTime;
    }

    public void setTotalChargingTime(String totalChargingTime) {

        this.totalChargingTime = totalChargingTime;
    }

    public String getOutputEnergy() {

        return outputEnergy;
    }

    public void setOutputEnergy(String outputEnergy) {

        this.outputEnergy = outputEnergy;
    }

    public String getChargerSn() {

        return chargerSn;
    }

    public void setChargerSn(String chargerSn) {

        this.chargerSn = chargerSn;
    }

}
